## tevent 0.14.0

=== wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.14.0'

import sys, os

# find the buildtools directory
top = '.'
while not os.path.exists(top+'/buildtools') and len(top.split('/')) < 5:
    top = top + '/..'
sys.path.insert(0, top + '/buildtools/wafsamba')

out = 'bin'

import wafsamba
from wafsamba import samba_dist, samba_utils
from waflib import Options, Logs, Context, Errors

samba_dist.DIST_DIRS('''lib/tevent:. lib/replace:lib/replace
                        lib/talloc:lib/talloc buildtools:buildtools
                        third_party/cmocka:third_party/cmocka
                        third_party/waf:third_party/waf''')

def options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')


def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    if conf.CHECK_FOR_THIRD_PARTY():
        conf.RECURSE('third_party/cmocka')
    else:
        if not conf.CHECK_CMOCKA():
            raise Errors.WafError('cmocka development package have not been found.\nIf third_party is installed, check that it is in the proper place.')
        else:
            conf.define('USING_SYSTEM_CMOCKA', 1)

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)
            if not conf.env.disable_python and \
                conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
                conf.define('USING_SYSTEM_PYTEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    tevent_num_signals = 64
    v = conf.CHECK_VALUEOF('NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('_NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMAX', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMIN', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v*2)

    if not conf.CONFIG_SET('USING_SYSTEM_TEVENT'):
        conf.DEFINE('TEVENT_NUM_SIGNALS', tevent_num_signals)

    conf.SAMBA_CHECK_PYTHON()
    conf.SAMBA_CHECK_PYTHON_HEADERS()

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    if bld.CHECK_FOR_THIRD_PARTY():
        bld.RECURSE('third_party/cmocka')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_wrapper.c
             tevent_poll.c tevent_threads.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if bld.CONFIG_SET('HAVE_SOLARIS_PORTS'):
        SRC += ' tevent_port.c'

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        tevent_deps = 'replace talloc'
        if bld.CONFIG_SET('HAVE_PTHREAD'):
            tevent_deps += ' pthread'

        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps=tevent_deps,
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          includes='.',
                          abi_directory='ABI',
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
                          public_headers=('' if private_library else 'tevent.h'),
                          public_headers_install=not private_library,
                          pc_files='tevent.pc',
                          private_library=private_library)

    if not bld.CONFIG_SET('USING_SYSTEM_PYTEVENT') and not bld.env.disable_python:
        bld.SAMBA_PYTHON('_tevent',
                         'pytevent.c',
                         deps='tevent',
                         realname='_tevent.so',
                         cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)


        bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py', flat=False)

        # install out various python scripts for use by make test
        bld.SAMBA_SCRIPT('tevent_python',
                         pattern='tevent.py',
                         installdir='python')

    bld.SAMBA_BINARY('test_tevent_tag',
                     source='tests/test_tevent_tag.c',
                     deps='cmocka tevent',
                     install=False)

    bld.SAMBA_BINARY('test_tevent_trace',
                     source='tests/test_tevent_trace.c',
                     deps='cmocka tevent',
                     install=False)

def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")

    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')

    pyret = samba_utils.RUN_PYTHON_TESTS(['bindings.py'])

    unit_test_ret = 0
    unit_tests = [
        'test_tevent_tag',
        'test_tevent_trace',
    ]

    for unit_test in unit_tests:
        unit_test_cmd = os.path.join(Context.g_module.out, unit_test)
        unit_test_ret = unit_test_ret or samba_utils.RUN_COMMAND(unit_test_cmd)

    sys.exit(pyret or unit_test_ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    samba_utils.reconfigure(ctx)

=== debian/changelog ===
tevent (0.14.0-2) unstable; urgency=medium

  * new upstream release (0.14.0, from samba 4.18):
    - Support python 3.12
    - remove solaris port backend (it's not maintainable)
    - make tevent_find_ops_byname() available for callers.
    - allow the "standard" backend to be overloaded
    - add interface for request/subrequest call depth tracking:
      tevent_thread_call_depth_activate
      tevent_thread_call_depth_deactivate
      tevent_thread_call_depth_start
      tevent_thread_call_depth_stop
      tevent_thread_call_depth_reset_from_req
  * d/libtevent0.symbols: add new symbols and version
  * d/control: build-depend on more recent libtalloc (2.4.0)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 21 Jan 2023 10:43:30 +0300

tevent (0.13.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Michael Tokarev ]
  * d/rules: support "terse" build option for non-verbose build
  * d/salsa-ci.yml:
    - instead of allowing blhc to (always) fail, disable it
    - disable crossbuild-arm64 test (samba does not cross-build)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Jan 2023 19:07:18 +0300

=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders:
	Jelmer Vernooij <jelmer@debian.org>,
	Mathieu Parent <sathieu@debian.org>,
	Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper-compat (= 13),
               libaio-dev [linux-any],
               libcmocka-dev,
               libtalloc-dev (>= 2.4.0~),
               pkg-config,
               python3:any,
               python3-distutils
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tevent.samba.org/
Vcs-Browser: https://salsa.debian.org/samba-team/tevent
Vcs-Git: https://salsa.debian.org/samba-team/tevent.git

Package: libtevent0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libtalloc-dev,
         libtevent0 (= ${binary:Version}),
         ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.

## tevent 0.14.1

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'tevent'
-VERSION = '0.14.0'
+VERSION = '0.14.1'
 
 import sys, os
 
@@ -93,9 +93,6 @@
     if bld.CONFIG_SET('HAVE_EPOLL'):
         SRC += ' tevent_epoll.c'
 
-    if bld.CONFIG_SET('HAVE_SOLARIS_PORTS'):
-        SRC += ' tevent_port.c'
-
     if bld.env.standalone_tevent:
         bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
         private_library = False

=== buildtools/wafsamba/wscript ===
#!/usr/bin/env python

# this is a base set of waf rules that everything else pulls in first

import os, sys
from waflib import Configure, Logs, Options, Utils, Context, Errors
import wafsamba
from samba_utils import symlink
from optparse import SUPPRESS_HELP

phs = os.environ.get("PYTHONHASHSEED", None)
if phs != "1":
    raise Errors.WafError('''PYTHONHASHSEED=1 missing! Don't use waf directly, use ./configure and make!''')

# this forces configure to be re-run if any of the configure
# sections of the build scripts change. We have to check
# for this in sys.argv as options have not yet been parsed when
# we need to set this. This is off by default until some issues
# are resolved related to WAFCACHE. It will need a lot of testing
# before it is enabled by default.
if '--enable-auto-reconfigure' in sys.argv:
    Configure.autoconfig = 'clobber'

def default_value(option, default=''):
    if option in Options.options.__dict__:
        return Options.options.__dict__[option]
    return default

def options(opt):
    opt.load('compiler_cc')

    opt.load('gnu_dirs')

    gr = opt.option_group('library handling options')

    gr.add_option('--bundled-libraries',
                   help=(f'''comma separated list of bundled libraries.

{Context.g_module.APPNAME} includes copies of externally maintained
system libraries (such as popt, cmokca) as well as Samba-maintained
libraries that can be found on the system already (such as talloc,
tdb).

This option, most useful for packagers, controls if each library
should be forced to be obtained from inside Samba (bundled), forced to
be obtained from the system (bundling disabled, ensuing that
dependency errors are not silently missed) or if that choice should be
automatic (best for end users).

May include !LIBNAME to disable bundling a library.

Can be 'NONE' or 'ALL' [auto]'''),
                   action="store", dest='BUNDLED_LIBS', default='')

    gr.add_option('--private-libraries',
                   help=(f'''comma separated list of normally public libraries to build instead as private libraries.

By default {Context.g_module.APPNAME} will publish a number of public
libraries for use by other software.  For Samba this would include
libwbclient, libsmbclient and others.

This allows that to be disabled, to ensure that other software does
not use these libraries and they are placed in a private filesystem
prefix.

May include !LIBNAME to disable making a library private in order to
limit the effect of 'ALL' '''),
                   action="store", dest='PRIVATE_LIBS', default='')

    extension_default = default_value('PRIVATE_EXTENSION_DEFAULT')
    gr.add_option('--private-library-extension',
                   help=("name extension for private libraries [%s]" % extension_default),
                   action="store", dest='PRIVATE_EXTENSION', default=extension_default)

    extension_exception = default_value('PRIVATE_EXTENSION_EXCEPTION')
    gr.add_option('--private-extension-exception',
                   help=("comma separated list of libraries to not apply extension to [%s]" % extension_exception),
                   action="store", dest='PRIVATE_EXTENSION_EXCEPTION', default=extension_exception)

    builtin_default = default_value('BUILTIN_LIBRARIES_DEFAULT')
    gr.add_option('--builtin-libraries', help=(
f'''comma separated list of libraries to build directly into binaries.

By default {Context.g_module.APPNAME} will build a large number of
shared libraries, to reduce binary size.  This overrides this
behaviour and essentially statically links the specified libraries into
each binary [{builtin_default}]'''),
                  action="store",
                  dest='BUILTIN_LIBRARIES', default=builtin_default)

    gr.add_option('--minimum-library-version',
                   help=(
f'''list of minimum system library versions for otherwise bundled
libraries.

{Context.g_module.APPNAME} by default requires that, in order to match
what is tested in our continuous integration (CI) test-suite, that the
versions of libraries that we include match that found on the system,
before we will select not to 'bundle'.

This option, possibly useful for packagers, allows that specified
version to be overridden (say, if it is absolutely known that a the
newer version included in this tarball has no relevant changes).

Use this with extreme care

(LIBNAME1:version,LIBNAME2:version)'''),
                   action="store", dest='MINIMUM_LIBRARY_VERSION', default='')

    gr.add_option('--disable-rpath',
                   help=("Disable use of rpath for build binaries"),
                   action="store_true", dest='disable_rpath_build', default=False)
    gr.add_option('--disable-rpath-install',
                   help=("Disable use of rpath for library path in installed files"),
                   action="store_true", dest='disable_rpath_install', default=False)
    gr.add_option('--disable-rpath-private-install',
                   help=("Disable use of rpath for private library path in installed files"),
                   action="store_true", dest='disable_rpath_private_install', default=False)
    gr.add_option('--nonshared-binary',
                   help=(
f'''Disable use of shared libaries internal to {Context.g_module.APPNAME} for the listed binaries.

The resulting binaries are 'statically linked' with regard to components provided by
{Context.g_module.APPNAME}, but remain dynamically linked to (eg) libc.so and libgnutls.so

Currently the only tested value is 'smbtorture,smbd/smbd' for Samba'''),
                   action="store", dest='NONSHARED_BINARIES', default='')
    gr.add_option('--disable-symbol-versions',
                   help=("Disable use of the --version-script linker option"),
                   action="store_true", dest='disable_symbol_versions', default=False)

    opt.add_option('--with-modulesdir',
                   help=("modules directory [PREFIX/modules]"),
                   action="store", dest='MODULESDIR', default='${PREFIX}/modules')

    opt.add_option('--with-privatelibdir',
                   help=("private library directory [PREFIX/lib/%s]" % Context.g_module.APPNAME),
                   action="store", dest='PRIVATELIBDIR', default=None)

    opt.add_option('--with-libiconv',
                   help='additional directory to search for libiconv',
                   action='store', dest='iconv_open', default='/usr/local',
                   match = ['Checking for library iconv', 'Checking for iconv_open', 'Checking for header iconv.h'])
    opt.add_option('--without-gettext',
                   help=("Disable use of gettext"),
                   action="store_true", dest='disable_gettext', default=False)

    gr = opt.option_group('developer options')

    gr.add_option('-C',
                   help='enable configure caching',
                   action='store_true', dest='enable_configure_cache')
    gr.add_option('--enable-auto-reconfigure',
                   help='enable automatic reconfigure on build',
                   action='store_true', dest='enable_auto_reconfigure')
    gr.add_option('--enable-debug',
                   help=("Turn on debugging symbols"),
                   action="store_true", dest='debug', default=False)
    gr.add_option('--enable-developer',
                   help=("Turn on developer warnings and debugging"),
                   action="store_true", dest='developer', default=False)
    gr.add_option('--pidl-developer',
                   help=("annotate PIDL-generated code for developers"),
                   action="store_true", dest='pidl_developer', default=False)
    gr.add_option('--disable-warnings-as-errors',
                   help=("Do not treat all warnings as errors (disable -Werror)"),
                   action="store_true", dest='disable_warnings_as_errors', default=False)
    opt.add_option('--enable-coverage',
                   help=("enable options necessary for code coverage "
                         "reporting on selftest (default=no)"),
                   action="store_true", dest='enable_coverage', default=False)
    gr.add_option('--fatal-errors',
                   help=("Stop compilation on first error (enable -Wfatal-errors)"),
                   action="store_true", dest='fatal_errors', default=False)
    gr.add_option('--enable-gccdeps',
                   help=("Enable use of gcc -MD dependency module"),
                   action="store_true", dest='enable_gccdeps', default=True)
    gr.add_option('--pedantic',
		   help=("Enable even more compiler warnings"),
		   action='store_true', dest='pedantic', default=False)
    gr.add_option('--git-local-changes',
		   help=("mark version with + if local git changes"),
		   action='store_true', dest='GIT_LOCAL_CHANGES', default=False)
    gr.add_option('--address-sanitizer',
                   help=("Enable address sanitizer compile and linker flags"),
                   action="store_true", dest='address_sanitizer', default=False)
    gr.add_option('--undefined-sanitizer',
        help=("Enable undefined behaviour sanitizer compile and linker flags"),
        action="store_true",
        dest='undefined_sanitizer',
        default=False)
    gr.add_option('--enable-libfuzzer',
                  help=("Build fuzzing binaries (use ADDITIONAL_CFLAGS to specify compiler options for libFuzzer or use CC=honggfuzz/hfuzz-cc)"),
                  action="store_true", dest='enable_libfuzzer', default=False)
    gr.add_option('--enable-afl-fuzzer',
                  help=("Build fuzzing binaries AFL-style (typically use with CC=afl-gcc)"),
                  action="store_true", dest='enable_afl_fuzzer', default=False)

    # Fuzz targets may need additional LDFLAGS that we can't use on
    # internal binaries like asn1_compile

    gr.add_option('--fuzz-target-ldflags',
                  help=("Linker flags to be used when building fuzz targets"),
                  action="store", dest='FUZZ_TARGET_LDFLAGS', default='')

    gr.add_option('--abi-check',
		   help=("Check ABI signatures for libraries"),
		   action='store_true', dest='ABI_CHECK', default=False)
    gr.add_option('--abi-check-disable',
		   help=("Disable ABI checking (used with --enable-developer)"),
		   action='store_true', dest='ABI_CHECK_DISABLE', default=False)
    gr.add_option('--abi-update',
		   help=("Update ABI signature files for libraries"),
		   action='store_true', dest='ABI_UPDATE', default=False)

    gr.add_option('--show-deps',
		   help=("Show dependency tree for the given target"),
		   dest='SHOWDEPS', default='')

    gr.add_option('--symbol-check',
                  help=("check symbols in object files against project rules"),
                  action='store_true', dest='SYMBOLCHECK', default=False)

    gr.add_option('--dup-symbol-check',
                  help=("check for duplicate symbols in object files and system libs (must be configured with --enable-developer)"),
                  action='store_true', dest='DUP_SYMBOLCHECK', default=False)

    gr.add_option('--why-needed',
                  help=("TARGET:DEPENDENCY check why TARGET needs DEPENDENCY"),
                  action='store', type='str', dest='WHYNEEDED', default=None)

    gr.add_option('--show-duplicates',
                  help=("Show objects which are included in multiple binaries or libraries"),
                  action='store_true', dest='SHOW_DUPLICATES', default=False)

    gr = opt.add_option_group('cross compilation options')

    gr.add_option('--cross-compile',
		   help=("configure for cross-compilation"),
		   action='store_true', dest='CROSS_COMPILE', default=False)
    gr.add_option('--cross-execute',
		   help=("command prefix to use for cross-execution in configure"),
		   action='store', dest='CROSS_EXECUTE', default='')
    gr.add_option('--cross-answers',
		   help=("answers to cross-compilation configuration (auto modified)"),
		   action='store', dest='CROSS_ANSWERS', default='')
    gr.add_option('--hostcc',

=== debian/changelog ===
tevent (0.14.1-1) unstable; urgency=medium

  * new upstream minor release:
    - Build fix for GNU/Hurd
    - Build fix for Solaris, after removal
      of ports backend (samba bug #15298)
  * d/control: do not build-depend on python-distutils,
    sysconfig will be used instead
  * d/control: Standards-Version: 4.6.2 (no changes)
  * d/control: remove build-depend on libaio-dev, it is not used
  * cross.patch: fix two bugs in it

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Feb 2023 11:22:05 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,12 @@
 	Mathieu Parent <sathieu@debian.org>,
 	Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
-               libaio-dev [linux-any],
                libcmocka-dev,
                libtalloc-dev (>= 2.4.0~),
                pkg-config,
                python3:any,
-               python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git

=== debian/rules ===
#!/usr/bin/make -f
SHELL = /bin/sh -e

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -g -Wall
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Fast version of dpkg/architecture.mk defining all vars in one go
ifeq (${DEB_HOST_MULTIARCH},)
   $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
endif
include /usr/share/dpkg/buildflags.mk
V := $(if $(filter terse, ${DEB_BUILD_OPTIONS}),,1)
WAF := PYTHONHASHSEED=1 ./buildtools/bin/waf \
	$(patsubst parallel=%,-j%,$(filter parallel=%,${DEB_BUILD_OPTIONS}))

DESTDIR = ${CURDIR}/debian/tmp

build-arch build-indep build \
install-indep install-arch install \
binary-arch binary-indep binary \
: %:
	dh $@

override_dh_auto_configure: bin/config-stamp
bin/config-stamp:
	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
	    ${WAF} -j1 -C configure \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH} \
		--disable-rpath --disable-rpath-install \
		--bundled-libraries=NONE \
		--disable-python \
	    && touch $@

override_dh_auto_build: bin/config-stamp
	${WAF} build $(if $V,-v)
	# Waf should be doing this..
	ar cr bin/libtevent.a bin/default/*.o

override_dh_auto_test:
ifeq (,$(filter nocheck,${DEB_BUILD_OPTIONS}))
# for some weird reason, salsa-ci run build with fd#0 *closed*(!) and the test fail
	${WAF} test </dev/null
endif

override_dh_auto_install:
	${WAF} install --destdir=${DESTDIR}
	cp bin/libtevent.a ${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}

clean:
	# see also debian/clean
	dh_clean bin/ compile_commands.json

get-packaged-orig-source:
	./debian/build-orig.sh

## tevent 0.15.0

=== debian/changelog ===
tevent (0.15.0-1) unstable; urgency=medium

  * new upstream release (requires talloc 2.4.1; new symbols)
  * remove hunk from cross.patch which is applied upstream

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jul 2023 23:06:06 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
                libcmocka-dev,
-               libtalloc-dev (>= 2.4.0~),
+               libtalloc-dev (>= 2.4.1~),
                pkg-config,
                python3:any,
 Rules-Requires-Root: no

## tevent 0.16.1

=== debian/changelog ===
tevent (0.16.1-3) unstable; urgency=medium

  * d/rules: include buildtools.mk and export CC/CPP/LD/PKGCONFIG
    (esp. waf isn't finding PKG_CONFIG when cross-compiling)
  * replace pkg-config => pkgconf in Build-Depends
  * implement pkg.tevent.before-t64 build profile (for older releases)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Aug 2024 14:27:32 +0300

tevent (0.16.1-2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1062974
  * also add versioned Buil-Depends on dpkg-dev to ensure package
    wont be built on older systems (eg backports)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Feb 2024 12:48:50 +0300

tevent (0.16.1-1) unstable; urgency=medium

  * new upstream release
  * d/control: update libtalloc version for Build-Depends
  * d/patches/cross.patch: refresh
  * d/libtevent0.symbols: update symbols file with new version

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 29 Jan 2024 20:15:38 +0300

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 	Mathieu Parent <sathieu@debian.org>,
 	Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5) <!pkg.tevent.before-t64>,
                libcmocka-dev,
-               libtalloc-dev (>= 2.4.1~),
-               pkg-config,
+               libtalloc-dev (>= 2.4.2~),
+               pkgconf,
                python3:any,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -17,7 +18,29 @@
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
 
+Package: libtevent0t64
+Build-Profiles: <!pkg.tevent.before-t64>
+Provides: ${t64:Provides}
+Replaces: libtevent0
+Breaks: libtevent0 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: talloc-based event loop library - shared library
+ tevent is a simple library that can handle the main event loop for an
+ application. It supports three kinds of events: timed events, file
+ descriptors becoming readable or writable and signals.
+ .
+ Talloc is used for memory management, both internally and for private
+ data provided by users of the library.
+ .
+ This package provides the shared library file.
+
 Package: libtevent0
+# the same as libtevent0t64
+Build-Profiles: <pkg.tevent.before-t64>
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -39,7 +62,8 @@
 Multi-Arch: same
 Depends: libc6-dev,
          libtalloc-dev,
-         libtevent0 (= ${binary:Version}),
+         libtevent0t64 (= ${binary:Version}) <!pkg.tevent.before-t64>,
+         libtevent0    (= ${binary:Version}) < pkg.tevent.before-t64>,
          ${misc:Depends}
 Description: talloc-based event loop library - development files
  tevent is a simple library that can handle the main event loop for an

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 ifeq (${DEB_HOST_MULTIARCH},)
    $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
 endif
+include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/buildflags.mk
 V := $(if $(filter terse, ${DEB_BUILD_OPTIONS}),,1)
 WAF := PYTHONHASHSEED=1 ./buildtools/bin/waf \
@@ -24,6 +25,7 @@
 
 override_dh_auto_configure: bin/config-stamp
 bin/config-stamp:
+	CC="${CC}" CPP="${CPP}" LD="${LD}" PKGCONFIG="${PKG_CONFIG}" \
 	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
 	    ${WAF} -j1 -C configure \
 		--prefix=/usr \
